dspmq dspmqver command not found(dspmq命令找不到,dspmqver命令找不到)

现在新版的MQ7.5 和MQ8版本,在运行dspmq dspmqver command 时,都提示command not found(dspmq命令找不到,dspmqver命令找不到),下面为解决办法,mq7.5 和mq8都通用。

[root@rhv6-64b ~]# su – mqm

-bash-4.1$ dspmq

-bash: dspmq: command not found(dspmq命令找不到

-bash-4.1$ dspmqver(dspmqver命令找不到

AMQ8594: WebSphere MQ commands are no longer available in /usr/bin.

In order to run MQ commands you must manage your path configuration asdescribed in the WebSphere MQ product documentation.

In particular review thetopic on “Choosing a primary installation”.

-bash-4.1$

InfoCenter,Choosing a primary installation:On UNIX and Linux platforms, the first installation onto a system must be manually configured to be the primary installation. Set the primary installation using the setmqinst command.(可以通过setmqinst命令设置主安装目录)

-bash-4.1$ /opt/mqm/bin/dspmqinst

InstName: Installation1

InstDesc:Identifier: 1

InstPath: /opt/mqm

Version: 7.5.0.0

Primary: No

State: Available

阅读更多

解决在linux下编译32程序出现“/usr/include/gnu/stubs.h:7:27: 致命错误

解决在linux下编译32程序出现“/usr/include/gnu/stubs.h:7:27: 致命错误:gnu/stubs-32.h:没有那个文件或目录问题”

centos64位编译32位代码,出现/usr/include/gnu/stubs.h:7:27: 致命错误:gnu/stubs-32.h:没有那个文件或目录,需要安装32位的glibc库文件。

安装32位glibc库文件命令:

sudo yum install glibc-devel.i686(安装C库文件)

sudo dnf install glibc-devel.i686(fedora命令)

安装32位glibc++库文件命令

sudo  yum install libstdc++-devel.i686

sudo dnf install libstdc++-devel.i686(fedora命令)

Ubuntu解决命令:

sudo apt-get install g++-multilib

报错截图:

[root@ibmsyss WMQ]# yum search glibc-devel

[root@ibmsyss WMQ]# yum install glibc-devel*

[root@ibmsyss WMQ]# yum search libstdc++-devel

[root@ibmsyss WMQ]# yum install libstdc++-devel*

有时候,以上安装命令未改安装上32位的程式,也就是i686的程式,需要单独安装,如下所示:

[root@ibmsyss WMQ]# yum install glibc-devel.i686

[root@ibmsyss WMQ]# yum install libstdc++-devel.i686